org.apache.xerces.impl.xs

## Class SchemaSymbols

- java.lang.Object
- - org.apache.xerces.impl.xs.SchemaSymbols

-     public final class SchemaSymbols
      extends java.lang.Object

  Collection of symbols used to parse a Schema Grammar.
  Version:
    $Id: SchemaSymbols.java 1198396 2011-11-06 16:12:05Z mukulg $
  Author:
    jeffrey rodriguez

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ASSERT_ERRORMSG_PLACEHOLDER_REGEX`
    `static java.lang.String` | `ATT_ABSTRACT`
    `static java.lang.String` | `ATT_APPLIESTOEMPTY`
    `static java.lang.String` | `ATT_ASSERT_MESSAGE`
    `static java.lang.String` | `ATT_ATTRIBUTEFORMDEFAULT`
    `static java.lang.String` | `ATT_BASE`
    `static java.lang.String` | `ATT_BLOCK`
    `static java.lang.String` | `ATT_BLOCKDEFAULT`
    `static java.lang.String` | `ATT_DEFAULT`
    `static java.lang.String` | `ATT_DEFAULTATTRIBUTES`
    `static java.lang.String` | `ATT_DEFAULTATTRIBUTESAPPLY`
    `static java.lang.String` | `ATT_ELEMENTFORMDEFAULT`
    `static java.lang.String` | `ATT_FACETAVAILABLE`
    `static java.lang.String` | `ATT_FACETUNAVAILABLE`
    `static java.lang.String` | `ATT_FINAL`
    `static java.lang.String` | `ATT_FINALDEFAULT`
    `static java.lang.String` | `ATT_FIXED`
    `static java.lang.String` | `ATT_FORM`
    `static java.lang.String` | `ATT_ID`
    `static java.lang.String` | `ATT_INHERITABLE`
    `static java.lang.String` | `ATT_ITEMTYPE`
    `static java.lang.String` | `ATT_MAXOCCURS`
    `static java.lang.String` | `ATT_MAXVERSION`
    `static java.lang.String` | `ATT_MEMBERTYPES`
    `static java.lang.String` | `ATT_MINOCCURS`
    `static java.lang.String` | `ATT_MINVERSION`
    `static java.lang.String` | `ATT_MIXED`
    `static java.lang.String` | `ATT_MODE`
    `static java.lang.String` | `ATT_NAME`
    `static java.lang.String` | `ATT_NAMESPACE`
    `static java.lang.String` | `ATT_NILLABLE`
    `static java.lang.String` | `ATT_NOTNAMESPACE`
    `static java.lang.String` | `ATT_NOTQNAME`
    `static java.lang.String` | `ATT_PROCESSCONTENTS`
    `static java.lang.String` | `ATT_PUBLIC`
    `static java.lang.String` | `ATT_REF`
    `static java.lang.String` | `ATT_REFER`
    `static java.lang.String` | `ATT_SCHEMALOCATION`
    `static java.lang.String` | `ATT_SOURCE`
    `static java.lang.String` | `ATT_SUBSTITUTIONGROUP`
    `static java.lang.String` | `ATT_SYSTEM`
    `static java.lang.String` | `ATT_TARGETNAMESPACE`
    `static java.lang.String` | `ATT_TEST`
    `static java.lang.String` | `ATT_TYPE`
    `static java.lang.String` | `ATT_TYPEAVAILABLE`
    `static java.lang.String` | `ATT_TYPEUNAVAILABLE`
    `static java.lang.String` | `ATT_USE`
    `static java.lang.String` | `ATT_VALUE`
    `static java.lang.String` | `ATT_VERSION`
    `static java.lang.String` | `ATT_XML_LANG`
    `static java.lang.String` | `ATT_XPATH`
    `static java.lang.String` | `ATT_XPATH_DEFAULT_NS`
    `static java.lang.String` | `ATTVAL_ANYATOMICTYPE`
    `static java.lang.String` | `ATTVAL_ANYSIMPLETYPE`
    `static java.lang.String` | `ATTVAL_ANYTYPE`
    `static java.lang.String` | `ATTVAL_ANYURI`
    `static java.lang.String` | `ATTVAL_BASE64BINARY`
    `static java.lang.String` | `ATTVAL_BOOLEAN`
    `static java.lang.String` | `ATTVAL_BYTE`
    `static java.lang.String` | `ATTVAL_COLLAPSE`
    `static java.lang.String` | `ATTVAL_DATE`
    `static java.lang.String` | `ATTVAL_DATETIME`
    `static java.lang.String` | `ATTVAL_DATETIMESTAMP`
    `static java.lang.String` | `ATTVAL_DAY`
    `static java.lang.String` | `ATTVAL_DAYTIMEDURATION`
    `static java.lang.String` | `ATTVAL_DECIMAL`
    `static java.lang.String` | `ATTVAL_DOUBLE`
    `static java.lang.String` | `ATTVAL_DURATION`
    `static java.lang.String` | `ATTVAL_ENTITIES`
    `static java.lang.String` | `ATTVAL_ENTITY`
    `static java.lang.String` | `ATTVAL_EXTENSION`
    `static java.lang.String` | `ATTVAL_FALSE`
    `static java.lang.String` | `ATTVAL_FALSE_0`
    `static java.lang.String` | `ATTVAL_FLOAT`
    `static java.lang.String` | `ATTVAL_HEXBINARY`
    `static java.lang.String` | `ATTVAL_ID`
    `static java.lang.String` | `ATTVAL_IDREF`
    `static java.lang.String` | `ATTVAL_IDREFS`
    `static java.lang.String` | `ATTVAL_INT`
    `static java.lang.String` | `ATTVAL_INTEGER`
    `static java.lang.String` | `ATTVAL_INTERLEAVE`
    `static java.lang.String` | `ATTVAL_LANGUAGE`
    `static java.lang.String` | `ATTVAL_LAX`
    `static java.lang.String` | `ATTVAL_LIST`
    `static java.lang.String` | `ATTVAL_LONG`
    `static java.lang.String` | `ATTVAL_MONTH`
    `static java.lang.String` | `ATTVAL_MONTHDAY`
    `static java.lang.String` | `ATTVAL_NAME`
    `static java.lang.String` | `ATTVAL_NCNAME`
    `static java.lang.String` | `ATTVAL_NEGATIVEINTEGER`
    `static java.lang.String` | `ATTVAL_NMTOKEN`
    `static java.lang.String` | `ATTVAL_NMTOKENS`
    `static java.lang.String` | `ATTVAL_NONE`
    `static java.lang.String` | `ATTVAL_NONNEGATIVEINTEGER`
    `static java.lang.String` | `ATTVAL_NONPOSITIVEINTEGER`
    `static java.lang.String` | `ATTVAL_NORMALIZEDSTRING`
    `static java.lang.String` | `ATTVAL_NOTATION`
    `static java.lang.String` | `ATTVAL_OPTIONAL`
    `static java.lang.String` | `ATTVAL_POSITIVEINTEGER`
    `static java.lang.String` | `ATTVAL_POUNDALL`
    `static java.lang.String` | `ATTVAL_PRECISIONDECIMAL`
    `static java.lang.String` | `ATTVAL_PRESERVE`
    `static java.lang.String` | `ATTVAL_PROHIBITED`
    `static java.lang.String` | `ATTVAL_QNAME`
    `static java.lang.String` | `ATTVAL_QUALIFIED`
    `static java.lang.String` | `ATTVAL_REPLACE`
    `static java.lang.String` | `ATTVAL_REQUIRED`
    `static java.lang.String` | `ATTVAL_RESTRICTION`
    `static java.lang.String` | `ATTVAL_SHORT`
    `static java.lang.String` | `ATTVAL_SKIP`
    `static java.lang.String` | `ATTVAL_STRICT`
    `static java.lang.String` | `ATTVAL_STRING`
    `static java.lang.String` | `ATTVAL_SUBSTITUTION`
    `static java.lang.String` | `ATTVAL_SUFFIX`
    `static java.lang.String` | `ATTVAL_TIME`
    `static java.lang.String` | `ATTVAL_TOKEN`
    `static java.lang.String` | `ATTVAL_TRUE`
    `static java.lang.String` | `ATTVAL_TRUE_1`
    `static java.lang.String` | `ATTVAL_TWOPOUNDANY`
    `static java.lang.String` | `ATTVAL_TWOPOUNDDEFAULTNS`
    `static java.lang.String` | `ATTVAL_TWOPOUNDDEFINED`
    `static java.lang.String` | `ATTVAL_TWOPOUNDDEFINEDSIBLING`
    `static java.lang.String` | `ATTVAL_TWOPOUNDLOCAL`
    `static java.lang.String` | `ATTVAL_TWOPOUNDOTHER`
    `static java.lang.String` | `ATTVAL_TWOPOUNDTARGETNS`
    `static java.lang.String` | `ATTVAL_UNBOUNDED`
    `static java.lang.String` | `ATTVAL_UNION`
    `static java.lang.String` | `ATTVAL_UNQUALIFIED`
    `static java.lang.String` | `ATTVAL_UNSIGNEDBYTE`
    `static java.lang.String` | `ATTVAL_UNSIGNEDINT`
    `static java.lang.String` | `ATTVAL_UNSIGNEDLONG`
    `static java.lang.String` | `ATTVAL_UNSIGNEDSHORT`
    `static java.lang.String` | `ATTVAL_YEAR`
    `static java.lang.String` | `ATTVAL_YEARMONTH`
    `static java.lang.String` | `ATTVAL_YEARMONTHDURATION`
    `static java.lang.String` | `ELT_ALL`
    `static java.lang.String` | `ELT_ALTERNATIVE`
    `static java.lang.String` | `ELT_ANNOTATION`
    `static java.lang.String` | `ELT_ANY`
    `static java.lang.String` | `ELT_ANYATTRIBUTE`
    `static java.lang.String` | `ELT_APPINFO`
    `static java.lang.String` | `ELT_ASSERT`
    `static java.lang.String` | `ELT_ASSERTION`
    `static java.lang.String` | `ELT_ATTRIBUTE`
    `static java.lang.String` | `ELT_ATTRIBUTEGROUP`
    `static java.lang.String` | `ELT_CHOICE`
    `static java.lang.String` | `ELT_COMPLEXCONTENT`
    `static java.lang.String` | `ELT_COMPLEXTYPE`
    `static java.lang.String` | `ELT_DEFAULTOPENCONTENT`
    `static java.lang.String` | `ELT_DOCUMENTATION`
    `static java.lang.String` | `ELT_ELEMENT`
    `static java.lang.String` | `ELT_ENUMERATION`
    `static java.lang.String` | `ELT_EXPLICITTIMEZONE`
    `static java.lang.String` | `ELT_EXTENSION`
    `static java.lang.String` | `ELT_FIELD`
    `static java.lang.String` | `ELT_FRACTIONDIGITS`
    `static java.lang.String` | `ELT_GROUP`
    `static java.lang.String` | `ELT_IMPORT`
    `static java.lang.String` | `ELT_INCLUDE`
    `static java.lang.String` | `ELT_KEY`
    `static java.lang.String` | `ELT_KEYREF`
    `static java.lang.String` | `ELT_LENGTH`
    `static java.lang.String` | `ELT_LIST`
    `static java.lang.String` | `ELT_MAXEXCLUSIVE`
    `static java.lang.String` | `ELT_MAXINCLUSIVE`
    `static java.lang.String` | `ELT_MAXLENGTH`
    `static java.lang.String` | `ELT_MAXSCALE`
    `static java.lang.String` | `ELT_MINEXCLUSIVE`
    `static java.lang.String` | `ELT_MININCLUSIVE`
    `static java.lang.String` | `ELT_MINLENGTH`
    `static java.lang.String` | `ELT_MINSCALE`
    `static java.lang.String` | `ELT_NOTATION`
    `static java.lang.String` | `ELT_OPENCONTENT`
    `static java.lang.String` | `ELT_OVERRIDE`
    `static java.lang.String` | `ELT_PATTERN`
    `static java.lang.String` | `ELT_REDEFINE`
    `static java.lang.String` | `ELT_RESTRICTION`
    `static java.lang.String` | `ELT_SCHEMA`
    `static java.lang.String` | `ELT_SELECTOR`
    `static java.lang.String` | `ELT_SEQUENCE`
    `static java.lang.String` | `ELT_SIMPLECONTENT`
    `static java.lang.String` | `ELT_SIMPLETYPE`
    `static java.lang.String` | `ELT_TOTALDIGITS`
    `static java.lang.String` | `ELT_UNION`
    `static java.lang.String` | `ELT_UNIQUE`
    `static java.lang.String` | `ELT_WHITESPACE`
    `static java.lang.String` | `EMPTY_STRING`
    `static short` | `FORM_QUALIFIED`
    `static short` | `FORM_UNQUALIFIED`
    `static int` | `OCCURRENCE_UNBOUNDED`
    `static java.lang.String` | `URI_SCHEMAFORSCHEMA`
    `static java.lang.String` | `URI_SCHEMAVERSION`
    `static java.lang.String` | `URI_XERCES_EXTENSIONS`
    `static java.lang.String` | `URI_XSI`
    `static short` | `USE_OPTIONAL`
    `static short` | `USE_PROHIBITED`
    `static short` | `USE_REQUIRED`
    `static java.lang.String` | `XS11_XPATHEXPR_COMPILE_WRN_MESG_1`
    `static java.lang.String` | `XSI_NIL`
    `static java.lang.String` | `XSI_NONAMESPACESCHEMALOCATION`
    `static java.lang.String` | `XSI_SCHEMALOCATION`
    `static java.lang.String` | `XSI_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaSymbols()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URI_XSI

          public static final java.lang.String URI_XSI

    - #### XSI_SCHEMALOCATION

          public static final java.lang.String XSI_SCHEMALOCATION

    - #### XSI_NONAMESPACESCHEMALOCATION

          public static final java.lang.String XSI_NONAMESPACESCHEMALOCATION

    - #### XSI_TYPE

          public static final java.lang.String XSI_TYPE

    - #### XSI_NIL

          public static final java.lang.String XSI_NIL

    - #### EMPTY_STRING

          public static final java.lang.String EMPTY_STRING

    - #### URI_SCHEMAFORSCHEMA

          public static final java.lang.String URI_SCHEMAFORSCHEMA

    - #### URI_SCHEMAVERSION

          public static final java.lang.String URI_SCHEMAVERSION

    - #### URI_XERCES_EXTENSIONS

          public static final java.lang.String URI_XERCES_EXTENSIONS

    - #### ELT_ALL

          public static final java.lang.String ELT_ALL

    - #### ELT_ASSERT

          public static final java.lang.String ELT_ASSERT

    - #### ELT_ASSERTION

          public static final java.lang.String ELT_ASSERTION

    - #### ELT_ALTERNATIVE

          public static final java.lang.String ELT_ALTERNATIVE

    - #### ELT_ANNOTATION

          public static final java.lang.String ELT_ANNOTATION

    - #### ELT_ANY

          public static final java.lang.String ELT_ANY

    - #### ELT_ANYATTRIBUTE

          public static final java.lang.String ELT_ANYATTRIBUTE

    - #### ELT_APPINFO

          public static final java.lang.String ELT_APPINFO

    - #### ELT_ATTRIBUTE

          public static final java.lang.String ELT_ATTRIBUTE

    - #### ELT_ATTRIBUTEGROUP

          public static final java.lang.String ELT_ATTRIBUTEGROUP

    - #### ELT_CHOICE

          public static final java.lang.String ELT_CHOICE

    - #### ELT_COMPLEXCONTENT

          public static final java.lang.String ELT_COMPLEXCONTENT

    - #### ELT_COMPLEXTYPE

          public static final java.lang.String ELT_COMPLEXTYPE

    - #### ELT_DEFAULTOPENCONTENT

          public static final java.lang.String ELT_DEFAULTOPENCONTENT

    - #### ELT_DOCUMENTATION

          public static final java.lang.String ELT_DOCUMENTATION

    - #### ELT_ELEMENT

          public static final java.lang.String ELT_ELEMENT

    - #### ELT_ENUMERATION

          public static final java.lang.String ELT_ENUMERATION

    - #### ELT_EXPLICITTIMEZONE

          public static final java.lang.String ELT_EXPLICITTIMEZONE

    - #### ELT_EXTENSION

          public static final java.lang.String ELT_EXTENSION

    - #### ELT_FIELD

          public static final java.lang.String ELT_FIELD

    - #### ELT_FRACTIONDIGITS

          public static final java.lang.String ELT_FRACTIONDIGITS

    - #### ELT_GROUP

          public static final java.lang.String ELT_GROUP

    - #### ELT_IMPORT

          public static final java.lang.String ELT_IMPORT

    - #### ELT_INCLUDE

          public static final java.lang.String ELT_INCLUDE

    - #### ELT_KEY

          public static final java.lang.String ELT_KEY

    - #### ELT_KEYREF

          public static final java.lang.String ELT_KEYREF

    - #### ELT_LENGTH

          public static final java.lang.String ELT_LENGTH

    - #### ELT_LIST

          public static final java.lang.String ELT_LIST

    - #### ELT_MAXEXCLUSIVE

          public static final java.lang.String ELT_MAXEXCLUSIVE

    - #### ELT_MAXINCLUSIVE

          public static final java.lang.String ELT_MAXINCLUSIVE

    - #### ELT_MAXLENGTH

          public static final java.lang.String ELT_MAXLENGTH

    - #### ELT_MAXSCALE

          public static final java.lang.String ELT_MAXSCALE

    - #### ELT_MINEXCLUSIVE

          public static final java.lang.String ELT_MINEXCLUSIVE

    - #### ELT_MININCLUSIVE

          public static final java.lang.String ELT_MININCLUSIVE

    - #### ELT_MINLENGTH

          public static final java.lang.String ELT_MINLENGTH

    - #### ELT_MINSCALE

          public static final java.lang.String ELT_MINSCALE

    - #### ELT_NOTATION

          public static final java.lang.String ELT_NOTATION

    - #### ELT_OPENCONTENT

          public static final java.lang.String ELT_OPENCONTENT

    - #### ELT_OVERRIDE

          public static final java.lang.String ELT_OVERRIDE

    - #### ELT_PATTERN

          public static final java.lang.String ELT_PATTERN

    - #### ELT_REDEFINE

          public static final java.lang.String ELT_REDEFINE

    - #### ELT_RESTRICTION

          public static final java.lang.String ELT_RESTRICTION

    - #### ELT_SCHEMA

          public static final java.lang.String ELT_SCHEMA

    - #### ELT_SELECTOR

          public static final java.lang.String ELT_SELECTOR

    - #### ELT_SEQUENCE

          public static final java.lang.String ELT_SEQUENCE

    - #### ELT_SIMPLECONTENT

          public static final java.lang.String ELT_SIMPLECONTENT

    - #### ELT_SIMPLETYPE

          public static final java.lang.String ELT_SIMPLETYPE

    - #### ELT_TOTALDIGITS

          public static final java.lang.String ELT_TOTALDIGITS

    - #### ELT_UNION

          public static final java.lang.String ELT_UNION

    - #### ELT_UNIQUE

          public static final java.lang.String ELT_UNIQUE

    - #### ELT_WHITESPACE

          public static final java.lang.String ELT_WHITESPACE

    - #### ATT_ABSTRACT

          public static final java.lang.String ATT_ABSTRACT

    - #### ATT_APPLIESTOEMPTY

          public static final java.lang.String ATT_APPLIESTOEMPTY

    - #### ATT_ATTRIBUTEFORMDEFAULT

          public static final java.lang.String ATT_ATTRIBUTEFORMDEFAULT

    - #### ATT_BASE

          public static final java.lang.String ATT_BASE

    - #### ATT_BLOCK

          public static final java.lang.String ATT_BLOCK

    - #### ATT_BLOCKDEFAULT

          public static final java.lang.String ATT_BLOCKDEFAULT

    - #### ATT_DEFAULT

          public static final java.lang.String ATT_DEFAULT

    - #### ATT_DEFAULTATTRIBUTESAPPLY

          public static final java.lang.String ATT_DEFAULTATTRIBUTESAPPLY

    - #### ATT_DEFAULTATTRIBUTES

          public static final java.lang.String ATT_DEFAULTATTRIBUTES

    - #### ATT_ELEMENTFORMDEFAULT

          public static final java.lang.String ATT_ELEMENTFORMDEFAULT

    - #### ATT_FINAL

          public static final java.lang.String ATT_FINAL

    - #### ATT_FINALDEFAULT

          public static final java.lang.String ATT_FINALDEFAULT

    - #### ATT_FIXED

          public static final java.lang.String ATT_FIXED

    - #### ATT_FORM

          public static final java.lang.String ATT_FORM

    - #### ATT_ID

          public static final java.lang.String ATT_ID

    - #### ATT_ITEMTYPE

          public static final java.lang.String ATT_ITEMTYPE

    - #### ATT_MAXOCCURS

          public static final java.lang.String ATT_MAXOCCURS

    - #### ATT_MEMBERTYPES

          public static final java.lang.String ATT_MEMBERTYPES

    - #### ATT_MINOCCURS

          public static final java.lang.String ATT_MINOCCURS

    - #### ATT_MIXED

          public static final java.lang.String ATT_MIXED

    - #### ATT_MODE

          public static final java.lang.String ATT_MODE

    - #### ATT_NAME

          public static final java.lang.String ATT_NAME

    - #### ATT_NAMESPACE

          public static final java.lang.String ATT_NAMESPACE

    - #### ATT_NILLABLE

          public static final java.lang.String ATT_NILLABLE

    - #### ATT_NOTNAMESPACE

          public static final java.lang.String ATT_NOTNAMESPACE

    - #### ATT_NOTQNAME

          public static final java.lang.String ATT_NOTQNAME

    - #### ATT_PROCESSCONTENTS

          public static final java.lang.String ATT_PROCESSCONTENTS

    - #### ATT_REF

          public static final java.lang.String ATT_REF

    - #### ATT_REFER

          public static final java.lang.String ATT_REFER

    - #### ATT_SCHEMALOCATION

          public static final java.lang.String ATT_SCHEMALOCATION

    - #### ATT_SOURCE

          public static final java.lang.String ATT_SOURCE

    - #### ATT_SUBSTITUTIONGROUP

          public static final java.lang.String ATT_SUBSTITUTIONGROUP

    - #### ATT_SYSTEM

          public static final java.lang.String ATT_SYSTEM

    - #### ATT_PUBLIC

          public static final java.lang.String ATT_PUBLIC

    - #### ATT_TARGETNAMESPACE

          public static final java.lang.String ATT_TARGETNAMESPACE

    - #### ATT_TEST

          public static final java.lang.String ATT_TEST

    - #### ATT_TYPE

          public static final java.lang.String ATT_TYPE

    - #### ATT_USE

          public static final java.lang.String ATT_USE

    - #### ATT_VALUE

          public static final java.lang.String ATT_VALUE

    - #### ATT_VERSION

          public static final java.lang.String ATT_VERSION

    - #### ATT_XML_LANG

          public static final java.lang.String ATT_XML_LANG

    - #### ATT_XPATH

          public static final java.lang.String ATT_XPATH

    - #### ATT_XPATH_DEFAULT_NS

          public static final java.lang.String ATT_XPATH_DEFAULT_NS

    - #### ATT_MINVERSION

          public static final java.lang.String ATT_MINVERSION

    - #### ATT_MAXVERSION

          public static final java.lang.String ATT_MAXVERSION

    - #### ATT_TYPEAVAILABLE

          public static final java.lang.String ATT_TYPEAVAILABLE

    - #### ATT_TYPEUNAVAILABLE

          public static final java.lang.String ATT_TYPEUNAVAILABLE

    - #### ATT_FACETAVAILABLE

          public static final java.lang.String ATT_FACETAVAILABLE

    - #### ATT_FACETUNAVAILABLE

          public static final java.lang.String ATT_FACETUNAVAILABLE

    - #### ATT_INHERITABLE

          public static final java.lang.String ATT_INHERITABLE

    - #### ATT_ASSERT_MESSAGE

          public static final java.lang.String ATT_ASSERT_MESSAGE

    - #### ATTVAL_TWOPOUNDANY

          public static final java.lang.String ATTVAL_TWOPOUNDANY

      See Also:
        Constant Field Values

    - #### ATTVAL_TWOPOUNDDEFAULTNS

          public static final java.lang.String ATTVAL_TWOPOUNDDEFAULTNS

      See Also:
        Constant Field Values

    - #### ATTVAL_TWOPOUNDDEFINED

          public static final java.lang.String ATTVAL_TWOPOUNDDEFINED

      See Also:
        Constant Field Values

    - #### ATTVAL_TWOPOUNDDEFINEDSIBLING

          public static final java.lang.String ATTVAL_TWOPOUNDDEFINEDSIBLING

      See Also:
        Constant Field Values

    - #### ATTVAL_TWOPOUNDLOCAL

          public static final java.lang.String ATTVAL_TWOPOUNDLOCAL

      See Also:
        Constant Field Values

    - #### ATTVAL_TWOPOUNDOTHER

          public static final java.lang.String ATTVAL_TWOPOUNDOTHER

      See Also:
        Constant Field Values

    - #### ATTVAL_TWOPOUNDTARGETNS

          public static final java.lang.String ATTVAL_TWOPOUNDTARGETNS

      See Also:
        Constant Field Values

    - #### ATTVAL_POUNDALL

          public static final java.lang.String ATTVAL_POUNDALL

      See Also:
        Constant Field Values

    - #### ATTVAL_FALSE_0

          public static final java.lang.String ATTVAL_FALSE_0

      See Also:
        Constant Field Values

    - #### ATTVAL_TRUE_1

          public static final java.lang.String ATTVAL_TRUE_1

      See Also:
        Constant Field Values

    - #### ATTVAL_ANYATOMICTYPE

          public static final java.lang.String ATTVAL_ANYATOMICTYPE

      See Also:
        Constant Field Values

    - #### ATTVAL_ANYSIMPLETYPE

          public static final java.lang.String ATTVAL_ANYSIMPLETYPE

      See Also:
        Constant Field Values

    - #### ATTVAL_ANYTYPE

          public static final java.lang.String ATTVAL_ANYTYPE

      See Also:
        Constant Field Values

    - #### ATTVAL_ANYURI

          public static final java.lang.String ATTVAL_ANYURI

      See Also:
        Constant Field Values

    - #### ATTVAL_BASE64BINARY

          public static final java.lang.String ATTVAL_BASE64BINARY

      See Also:
        Constant Field Values

    - #### ATTVAL_BOOLEAN

          public static final java.lang.String ATTVAL_BOOLEAN

      See Also:
        Constant Field Values

    - #### ATTVAL_BYTE

          public static final java.lang.String ATTVAL_BYTE

      See Also:
        Constant Field Values

    - #### ATTVAL_COLLAPSE

          public static final java.lang.String ATTVAL_COLLAPSE

      See Also:
        Constant Field Values

    - #### ATTVAL_DATE

          public static final java.lang.String ATTVAL_DATE

      See Also:
        Constant Field Values

    - #### ATTVAL_DATETIME

          public static final java.lang.String ATTVAL_DATETIME

      See Also:
        Constant Field Values

    - #### ATTVAL_DAY

          public static final java.lang.String ATTVAL_DAY

      See Also:
        Constant Field Values

    - #### ATTVAL_DECIMAL

          public static final java.lang.String ATTVAL_DECIMAL

      See Also:
        Constant Field Values

    - #### ATTVAL_DOUBLE

          public static final java.lang.String ATTVAL_DOUBLE

      See Also:
        Constant Field Values

    - #### ATTVAL_DURATION

          public static final java.lang.String ATTVAL_DURATION

      See Also:
        Constant Field Values

    - #### ATTVAL_ENTITY

          public static final java.lang.String ATTVAL_ENTITY

      See Also:
        Constant Field Values

    - #### ATTVAL_ENTITIES

          public static final java.lang.String ATTVAL_ENTITIES

      See Also:
        Constant Field Values

    - #### ATTVAL_EXTENSION

          public static final java.lang.String ATTVAL_EXTENSION

      See Also:
        Constant Field Values

    - #### ATTVAL_FALSE

          public static final java.lang.String ATTVAL_FALSE

      See Also:
        Constant Field Values

    - #### ATTVAL_FLOAT

          public static final java.lang.String ATTVAL_FLOAT

      See Also:
        Constant Field Values

    - #### ATTVAL_HEXBINARY

          public static final java.lang.String ATTVAL_HEXBINARY

      See Also:
        Constant Field Values

    - #### ATTVAL_ID

          public static final java.lang.String ATTVAL_ID

      See Also:
        Constant Field Values

    - #### ATTVAL_IDREF

          public static final java.lang.String ATTVAL_IDREF

      See Also:
        Constant Field Values

    - #### ATTVAL_IDREFS

          public static final java.lang.String ATTVAL_IDREFS

      See Also:
        Constant Field Values

    - #### ATTVAL_INT

          public static final java.lang.String ATTVAL_INT

      See Also:
        Constant Field Values

    - #### ATTVAL_INTEGER

          public static final java.lang.String ATTVAL_INTEGER

      See Also:
        Constant Field Values

    - #### ATTVAL_INTERLEAVE

          public static final java.lang.String ATTVAL_INTERLEAVE

      See Also:
        Constant Field Values

    - #### ATTVAL_LANGUAGE

          public static final java.lang.String ATTVAL_LANGUAGE

      See Also:
        Constant Field Values

    - #### ATTVAL_LAX

          public static final java.lang.String ATTVAL_LAX

      See Also:
        Constant Field Values

    - #### ATTVAL_LIST

          public static final java.lang.String ATTVAL_LIST

      See Also:
        Constant Field Values

    - #### ATTVAL_LONG

          public static final java.lang.String ATTVAL_LONG

      See Also:
        Constant Field Values

    - #### ATTVAL_NAME

          public static final java.lang.String ATTVAL_NAME

      See Also:
        Constant Field Values

    - #### ATTVAL_NEGATIVEINTEGER

          public static final java.lang.String ATTVAL_NEGATIVEINTEGER

      See Also:
        Constant Field Values

    - #### ATTVAL_MONTH

          public static final java.lang.String ATTVAL_MONTH

      See Also:
        Constant Field Values

    - #### ATTVAL_MONTHDAY

          public static final java.lang.String ATTVAL_MONTHDAY

      See Also:
        Constant Field Values

    - #### ATTVAL_NCNAME

          public static final java.lang.String ATTVAL_NCNAME

      See Also:
        Constant Field Values

    - #### ATTVAL_NMTOKEN

          public static final java.lang.String ATTVAL_NMTOKEN

      See Also:
        Constant Field Values

    - #### ATTVAL_NMTOKENS

          public static final java.lang.String ATTVAL_NMTOKENS

      See Also:
        Constant Field Values

    - #### ATTVAL_NONE

          public static final java.lang.String ATTVAL_NONE

      See Also:
        Constant Field Values

    - #### ATTVAL_NONNEGATIVEINTEGER

          public static final java.lang.String ATTVAL_NONNEGATIVEINTEGER

      See Also:
        Constant Field Values

    - #### ATTVAL_NONPOSITIVEINTEGER

          public static final java.lang.String ATTVAL_NONPOSITIVEINTEGER

      See Also:
        Constant Field Values

    - #### ATTVAL_NORMALIZEDSTRING

          public static final java.lang.String ATTVAL_NORMALIZEDSTRING

      See Also:
        Constant Field Values

    - #### ATTVAL_NOTATION

          public static final java.lang.String ATTVAL_NOTATION

      See Also:
        Constant Field Values

    - #### ATTVAL_OPTIONAL

          public static final java.lang.String ATTVAL_OPTIONAL

      See Also:
        Constant Field Values

    - #### ATTVAL_POSITIVEINTEGER

          public static final java.lang.String ATTVAL_POSITIVEINTEGER

      See Also:
        Constant Field Values

    - #### ATTVAL_PRESERVE

          public static final java.lang.String ATTVAL_PRESERVE

      See Also:
        Constant Field Values

    - #### ATTVAL_PROHIBITED

          public static final java.lang.String ATTVAL_PROHIBITED

      See Also:
        Constant Field Values

    - #### ATTVAL_QNAME

          public static final java.lang.String ATTVAL_QNAME

      See Also:
        Constant Field Values

    - #### ATTVAL_QUALIFIED

          public static final java.lang.String ATTVAL_QUALIFIED

      See Also:
        Constant Field Values

    - #### ATTVAL_REPLACE

          public static final java.lang.String ATTVAL_REPLACE

      See Also:
        Constant Field Values

    - #### ATTVAL_REQUIRED

          public static final java.lang.String ATTVAL_REQUIRED

      See Also:
        Constant Field Values

    - #### ATTVAL_RESTRICTION

          public static final java.lang.String ATTVAL_RESTRICTION

      See Also:
        Constant Field Values

    - #### ATTVAL_SHORT

          public static final java.lang.String ATTVAL_SHORT

      See Also:
        Constant Field Values

    - #### ATTVAL_SKIP

          public static final java.lang.String ATTVAL_SKIP

      See Also:
        Constant Field Values

    - #### ATTVAL_STRICT

          public static final java.lang.String ATTVAL_STRICT

      See Also:
        Constant Field Values

    - #### ATTVAL_STRING

          public static final java.lang.String ATTVAL_STRING

      See Also:
        Constant Field Values

    - #### ATTVAL_SUBSTITUTION

          public static final java.lang.String ATTVAL_SUBSTITUTION

      See Also:
        Constant Field Values

    - #### ATTVAL_SUFFIX

          public static final java.lang.String ATTVAL_SUFFIX

      See Also:
        Constant Field Values

    - #### ATTVAL_TIME

          public static final java.lang.String ATTVAL_TIME

      See Also:
        Constant Field Values

    - #### ATTVAL_TOKEN

          public static final java.lang.String ATTVAL_TOKEN

      See Also:
        Constant Field Values

    - #### ATTVAL_TRUE

          public static final java.lang.String ATTVAL_TRUE

      See Also:
        Constant Field Values

    - #### ATTVAL_UNBOUNDED

          public static final java.lang.String ATTVAL_UNBOUNDED

      See Also:
        Constant Field Values

    - #### ATTVAL_UNION

          public static final java.lang.String ATTVAL_UNION

      See Also:
        Constant Field Values

    - #### ATTVAL_UNQUALIFIED

          public static final java.lang.String ATTVAL_UNQUALIFIED

      See Also:
        Constant Field Values

    - #### ATTVAL_UNSIGNEDBYTE

          public static final java.lang.String ATTVAL_UNSIGNEDBYTE

      See Also:
        Constant Field Values

    - #### ATTVAL_UNSIGNEDINT

          public static final java.lang.String ATTVAL_UNSIGNEDINT

      See Also:
        Constant Field Values

    - #### ATTVAL_UNSIGNEDLONG

          public static final java.lang.String ATTVAL_UNSIGNEDLONG

      See Also:
        Constant Field Values

    - #### ATTVAL_UNSIGNEDSHORT

          public static final java.lang.String ATTVAL_UNSIGNEDSHORT

      See Also:
        Constant Field Values

    - #### ATTVAL_YEAR

          public static final java.lang.String ATTVAL_YEAR

      See Also:
        Constant Field Values

    - #### ATTVAL_YEARMONTH

          public static final java.lang.String ATTVAL_YEARMONTH

      See Also:
        Constant Field Values

    - #### ATTVAL_PRECISIONDECIMAL

          public static final java.lang.String ATTVAL_PRECISIONDECIMAL

      See Also:
        Constant Field Values

    - #### ATTVAL_YEARMONTHDURATION

          public static final java.lang.String ATTVAL_YEARMONTHDURATION

      See Also:
        Constant Field Values

    - #### ATTVAL_DAYTIMEDURATION

          public static final java.lang.String ATTVAL_DAYTIMEDURATION

      See Also:
        Constant Field Values

    - #### ATTVAL_DATETIMESTAMP

          public static final java.lang.String ATTVAL_DATETIMESTAMP

      See Also:
        Constant Field Values

    - #### FORM_UNQUALIFIED

          public static final short FORM_UNQUALIFIED

      See Also:
        Constant Field Values

    - #### FORM_QUALIFIED

          public static final short FORM_QUALIFIED

      See Also:
        Constant Field Values

    - #### USE_OPTIONAL

          public static final short USE_OPTIONAL

      See Also:
        Constant Field Values

    - #### USE_REQUIRED

          public static final short USE_REQUIRED

      See Also:
        Constant Field Values

    - #### USE_PROHIBITED

          public static final short USE_PROHIBITED

      See Also:
        Constant Field Values

    - #### OCCURRENCE_UNBOUNDED

          public static final int OCCURRENCE_UNBOUNDED

      See Also:
        Constant Field Values

    - #### ASSERT_ERRORMSG_PLACEHOLDER_REGEX

          public static final java.lang.String ASSERT_ERRORMSG_PLACEHOLDER_REGEX

      See Also:
        Constant Field Values

    - #### XS11_XPATHEXPR_COMPILE_WRN_MESG_1

          public static final java.lang.String XS11_XPATHEXPR_COMPILE_WRN_MESG_1

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SchemaSymbols

          public SchemaSymbols()

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.